Subject: Re: MSI-X vector allocation failure in upstream kernel

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 08 Oct 2010 12:26:12 +1100

On Tue, 2010-10-05 at 10:18 -0700, Anirban Chakraborty wrote:
> Hi All,
> 
> I am trying to test qlcnic driver (for 10Gb QLogic network adapter) on a Power 6 system 
> (IBM P 520, System type 8203) with upstream kernel and I do see that the kernel is 
> not able to allocate any MSI-X vectors. The driver requests for 4 vectors in pci_enable_msix,
> which returns 2. The driver again attempts, this time for 2 vectors but the kernel can't allocate 
> and it returns a value of 0xfffffffd. I upgraded the system FW to 01EL350 (from 01EL340)
>  just to make sure if MSI-X is enabled in the system. Is there anything that I am missing? 
> 
> Any pointers will be highly appreciated.

I think the people who can help you at the moment are on vacation :-)

Can you make sure kernel debug is enabled and you have "debug" on the
kernel command line, and send the full dmesg log of what's going on ?

Hopefully, Michael will be back next week and will be able to have a
look at it.

Cheers,
Ben.